Subject: bug#4436 closed by Chong Yidong <[email-masked]> (Re: time-stamp funcs to be removed but didn't)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 19 Sep 2009 19:55:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4436: time-stamp funcs to be removed but didn't

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
4436: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4436
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: time-stamp funcs to be removed but didn't
From: Chong Yidong <[email-masked]>
To: MON KEY <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Sep 2009 15:46:40 -0400

> As of (at least) 23.09.1 there is a comment in in /lisp/time-stamp.el

> ,----
> | ;;; These functions have been obsolete since 1995
> | ;;; and will be removed in Emacs 23.
> | ;;; Meanwhile, discourage other packages from using them.
> `----

Hmm, I wish we'd removed it in 23.1; that would have been a better time
to do that.  Still, I doubt anyone's still using these; I've gone ahead
and removed them in the trunk (23.2).  Thanks.

Subject: time-stamp funcs to be removed but didn't
From: MON KEY <[email-masked]>
To: [email-masked]
Date: Mon, 14 Sep 2009 15:47:40 -0400

As of (at least) 23.09.1 there is a comment in in /lisp/time-stamp.el

,----
| ;;; These functions have been obsolete since 1995
| ;;; and will be removed in Emacs 23.
| ;;; Meanwhile, discourage other packages from using them.
`----

`time-stamp-month-dd-yyyy'
`time-stamp-mon-dd-yyyy'
`time-stamp-yy/mm/dd'
`time-stamp-yyyy-mm-dd'
`time-stamp-hh:mm:ss'
`time-stamp-dd/mm/yyyy'
`time-stamp-dd-mon-yy'
`time-stamp-yyyy/mm/dd'
`time-stamp-yymmdd'
`time-stamp-hhmm'

_Will_ these functions be removed?
Or are these simply perpetually deprecated :)

s_P